Get Contacts in a List
curl --request POST \
--url https://cloudapi.mailercloud.com/v1/contact/search/{id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: <content-type>' \
--data '
{
"limit": 10,
"page": 1
}
'import requests
url = "https://cloudapi.mailercloud.com/v1/contact/search/{id}"
payload = {
"limit": 10,
"page": 1
}
headers = {
"Content-Type": "<content-type>",
"Authorization": "<api-key>"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': '<content-type>', Authorization: '<api-key>'},
body: JSON.stringify({limit: 10, page: 1})
};
fetch('https://cloudapi.mailercloud.com/v1/contact/search/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://cloudapi.mailercloud.com/v1/contact/search/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'limit' => 10,
'page' => 1
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: <content-type>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://cloudapi.mailercloud.com/v1/contact/search/{id}"
payload := strings.NewReader("{\n \"limit\": 10,\n \"page\": 1\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "<content-type>")
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"count": 0,
"data": {
"city": "string",
"country": "string",
"custom_fields": {},
"department": "string",
"dob": "string",
"email": "string",
"firstname": "string",
"id": "string",
"industry": "string",
"job_title": "string",
"last_name": "string",
"lead_source": "string",
"middle_name": "string",
"first_name": "string",
"company_name": "string",
"phone": "string",
"salary": "string",
"state": "string",
"user_ip": "string",
"postal_code": "string"
}
}{
"errors": [
{
"field": "",
"message": "Invalid input"
}
]
}{
"errors": [
{
"field": "",
"message": "Authorization failed"
}
]
}{
"errors": [
{
"field": "id",
"message": "Record not found with the given Id"
}
]
}Get Contacts in a List
You can collect all your contacts on a single list.
POST
/
contact
/
search
/
{id}
Get Contacts in a List
Authorizations
Your Mailercloud API key (plain text, no Bearer prefix). Create keys in Settings → API.
Headers
Request body type
Path Parameters
List id
Body
application/json
Maximum number of elements to return.
Maximum: 100 Minimum: 10
Required range:
10 <= x <= 100You can retrieve a subset of records starting from the page value you have specified. You can add a limit, which will determine the number of records you can retrieve on a single page.
Starts From: 1
Filter contact list by name , giving name as search keyword
⌘I